# Class DayPilotGantt

java.lang.Object
org.daypilot.ui.DayPilotGantt

public class DayPilotGantt extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DayPilotGantt()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBusinessBeginsHour()`
  `int`
  `getBusinessEndsHour()`
  `org.daypilot.ui.CellTableCell`
  `getCell(DateTime from, DateTime to, String task)`
  `int`
  `getCellDuration()`
  `GroupBy`
  `getCellGroupBy()`
  `int`
  `getCellWidth()`
  `CellWidthSpec`
  `getCellWidthSpec()`
  `JSONObject`
  `getClientState()`
  `TaskColumnCollection`
  `getColumns()`
  `int`
  `getDays()`
  `DateTime`
  `getEndDate()`
  `String`
  `getId()`
  `LinkCollection`
  `getLinks()`
  `Locale`
  `getLocale()`
  `javax.servlet.http.HttpServletRequest`
  `getRequest()`
  `DayOfWeek`
  `getResolvedWeekStart()`
  `javax.servlet.http.HttpServletResponse`
  `getResponse()`
  `int`
  `getRowMarginBottom()`
  `int`
  `getRowMinHeight()`
  `TimeScale`
  `getScale()`
  `int`
  `getScrollX()`
  `int`
  `getScrollY()`
  `Collection<Task>`
  `getSelectedRows()`
  `DateTime`
  `getStartDate()`
  `Object`
  `getTaskGroupMode()`
  `TaskCollection`
  `getTasks()`
  `TimeFormat`
  `getTimeFormat()`
  `TimeHeaderCollection`
  `getTimeHeaders()`
  `TimeCellCollection`
  `getTimeline()`
  `TimeZone`
  `getTimeZone()`
  `DateTime`
  `getVisibleEnd()`
  `DateTime`
  `getVisibleStart()`
  `WeekStarts`
  `getWeekStarts()`
  `boolean`
  `isShowNonBusiness()`
  `void`
  `onBeforeCellRender(BeforeCellRenderArgs cell)`
  `void`
  `onBeforeTaskRender(BeforeTaskRenderArgs ea)`
  `void`
  `onBeforeTimeHeaderRender(BeforeTimeHeaderRenderArgs ea)`
  `void`
  `onCommand(CommandArgs ea)`
  `void`
  `onFinish()`
  `void`
  `onIncludeCell(IncludeCellArgs ea)`
  `void`
  `onInit()`
  `void`
  `onLinkCreate(LinkCreateArgs ea)`
  `void`
  `onLinkMenuClick(LinkMenuClickArgs ea)`
  `void`
  `onPrepare()`
  `void`
  `onRowBubble(RowBubbleArgs args)`
  `void`
  `onRowClick(RowClickArgs ea)`
  `void`
  `onRowCreate(RowCreateArgs ea)`
  `void`
  `onRowDoubleClick(RowDoubleClickArgs ea)`
  `void`
  `onRowEdit(RowEditArgs ea)`
  `void`
  `onRowMenuClick(RowMenuClickArgs ea)`
  `void`
  `onRowMove(RowMoveArgs ea)`
  `void`
  `onRowSelect(RowSelectArgs ea)`
  `void`
  `onTaskBubble(TaskBubbleArgs args)`
  `void`
  `onTaskClick(TaskClickArgs ea)`
  `void`
  `onTaskDoubleClick(TaskDoubleClickArgs ea)`
  `void`
  `onTaskMenuClick(TaskMenuClickArgs ea)`
  `void`
  `onTaskMove(TaskMoveArgs ea)`
  `void`
  `onTaskResize(TaskResizeArgs ea)`
  `void`
  `onTaskRightClick(TaskRightClickArgs ea)`
  `void`
  `process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
  `void`
  `setBusinessBeginsHour(int businessBeginsHour)`
  `void`
  `setBusinessEndsHour(int businessEndsHour)`
  `void`
  `setCellDuration(int cellDuration)`
  `void`
  `setCellGroupBy(GroupBy cellGroupBy)`
  `void`
  `setCellWidth(int cellWidth)`
  `void`
  `setCellWidthSpec(CellWidthSpec cellWidthSpec)`
  `void`
  `setClientState(JSONObject clientState)`
  `void`
  `setColumns(TaskColumnCollection columns)`
  `void`
  `setDays(int days)`
  `void`
  `setId(String id)`
  `void`
  `setLinks(LinkCollection links)`
  `void`
  `setLocale(Locale locale)`
  `void`
  `setRowMarginBottom(int rowMarginBottom)`
  `void`
  `setRowMinHeight(int rowMinHeight)`
  `void`
  `setScale(TimeScale scale)`
  `void`
  `setScrollX(int scrollX)`
  `void`
  `setScrollY(int scrollY)`
  `void`
  `setShowNonBusiness(boolean showNonBusiness)`
  `void`
  `setStartDate(DateTime startDate)`
  `void`
  `setTaskGroupMode(Object taskGroupMode)`
  `void`
  `setTasks(TaskCollection tasks)`
  `void`
  `setTimeFormat(TimeFormat timeFormat)`
  `void`
  `setTimeHeaders(TimeHeaderCollection timeHeaders)`
  `void`
  `setTimeline(TimeCellCollection timeline)`
  `void`
  `setTimeZone(TimeZone timeZone)`
  `void`
  `setWeekStarts(WeekStarts weekStarts)`
  `void`
  `update()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DayPilotGantt

    public DayPilotGantt()

- ## Method Details

  - ### onPrepare

    public void onPrepare() throws Exception
    Throws:
      `Exception`

  - ### onFinish

    public void onFinish() throws Exception
    Throws:
      `Exception`

  - ### onInit

    public void onInit() throws Exception
    Throws:
      `Exception`

  - ### onCommand

    public void onCommand(CommandArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onTaskClick

    public void onTaskClick(TaskClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onTaskDoubleClick

    public void onTaskDoubleClick(TaskDoubleClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onRowClick

    public void onRowClick(RowClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onTaskMenuClick

    public void onTaskMenuClick(TaskMenuClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onTaskRightClick

    public void onTaskRightClick(TaskRightClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onRowMenuClick

    public void onRowMenuClick(RowMenuClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onTaskResize

    public void onTaskResize(TaskResizeArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onTaskMove

    public void onTaskMove(TaskMoveArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onLinkCreate

    public void onLinkCreate(LinkCreateArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onLinkMenuClick

    public void onLinkMenuClick(LinkMenuClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onRowCreate

    public void onRowCreate(RowCreateArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onRowDoubleClick

    public void onRowDoubleClick(RowDoubleClickArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onRowEdit

    public void onRowEdit(RowEditArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onRowMove

    public void onRowMove(RowMoveArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onRowSelect

    public void onRowSelect(RowSelectArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onBeforeTaskRender

    public void onBeforeTaskRender(BeforeTaskRenderArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onBeforeTimeHeaderRender

    public void onBeforeTimeHeaderRender(BeforeTimeHeaderRenderArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onBeforeCellRender

    public void onBeforeCellRender(BeforeCellRenderArgs cell) throws Exception
    Throws:
      `Exception`

  - ### onIncludeCell

    public void onIncludeCell(IncludeCellArgs ea) throws Exception
    Throws:
      `Exception`

  - ### onTaskBubble

    public void onTaskBubble(TaskBubbleArgs args) throws Exception
    Throws:
      `Exception`

  - ### onRowBubble

    public void onRowBubble(RowBubbleArgs args) throws Exception
    Throws:
      `Exception`

  - ### update

    public void update()

  - ### process

    public void process(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)

  - ### getId

    public String getId()

  - ### setId

    public void setId(String id)

  - ### getStartDate

    public DateTime getStartDate()

  - ### setStartDate

    public void setStartDate(DateTime startDate)

  - ### getDays

    public int getDays()

  - ### setDays

    public void setDays(int days)

  - ### getCellDuration

    public int getCellDuration()

  - ### setCellDuration

    public void setCellDuration(int cellDuration)

  - ### getCellGroupBy

    public GroupBy getCellGroupBy()

  - ### setCellGroupBy

    public void setCellGroupBy(GroupBy cellGroupBy)

  - ### getCellWidth

    public int getCellWidth()

  - ### setCellWidth

    public void setCellWidth(int cellWidth)

  - ### getClientState

    public JSONObject getClientState()

  - ### setClientState

    public void setClientState(JSONObject clientState)

  - ### isShowNonBusiness

    public boolean isShowNonBusiness()

  - ### setShowNonBusiness

    public void setShowNonBusiness(boolean showNonBusiness)

  - ### getBusinessBeginsHour

    public int getBusinessBeginsHour()

  - ### setBusinessBeginsHour

    public void setBusinessBeginsHour(int businessBeginsHour)

  - ### getBusinessEndsHour

    public int getBusinessEndsHour()

  - ### setBusinessEndsHour

    public void setBusinessEndsHour(int businessEndsHour)

  - ### getLocale

    public Locale getLocale()

  - ### setLocale

    public void setLocale(Locale locale)

  - ### getTimeHeaders

    public TimeHeaderCollection getTimeHeaders()

  - ### setTimeHeaders

    public void setTimeHeaders(TimeHeaderCollection timeHeaders)

  - ### getTimeFormat

    public TimeFormat getTimeFormat()

  - ### setTimeFormat

    public void setTimeFormat(TimeFormat timeFormat)

  - ### getWeekStarts

    public WeekStarts getWeekStarts()

  - ### setWeekStarts

    public void setWeekStarts(WeekStarts weekStarts)

  - ### getScale

    public TimeScale getScale()

  - ### setScale

    public void setScale(TimeScale scale)

  - ### getTasks

    public TaskCollection getTasks()

  - ### setTasks

    public void setTasks(TaskCollection tasks)

  - ### getScrollX

    public int getScrollX()

  - ### setScrollX

    public void setScrollX(int scrollX)

  - ### getScrollY

    public int getScrollY()

  - ### setScrollY

    public void setScrollY(int scrollY)

  - ### getRowMarginBottom

    public int getRowMarginBottom()

  - ### setRowMarginBottom

    public void setRowMarginBottom(int rowMarginBottom)

  - ### getRowMinHeight

    public int getRowMinHeight()

  - ### setRowMinHeight

    public void setRowMinHeight(int rowMinHeight)

  - ### getTaskGroupMode

    public Object getTaskGroupMode()

  - ### setTaskGroupMode

    public void setTaskGroupMode(Object taskGroupMode)

  - ### getColumns

    public TaskColumnCollection getColumns()

  - ### setColumns

    public void setColumns(TaskColumnCollection columns)

  - ### getCellWidthSpec

    public CellWidthSpec getCellWidthSpec()

  - ### setCellWidthSpec

    public void setCellWidthSpec(CellWidthSpec cellWidthSpec)

  - ### getLinks

    public LinkCollection getLinks()

  - ### setLinks

    public void setLinks(LinkCollection links)

  - ### getVisibleStart

    public DateTime getVisibleStart()

  - ### getVisibleEnd

    public DateTime getVisibleEnd()

  - ### getResolvedWeekStart

    public DayOfWeek getResolvedWeekStart()

  - ### getTimeline

    public TimeCellCollection getTimeline()

  - ### setTimeline

    public void setTimeline(TimeCellCollection timeline)

  - ### getEndDate

    public DateTime getEndDate()

  - ### getCell

    public org.daypilot.ui.CellTableCell getCell(DateTime from, DateTime to, String task)

  - ### getSelectedRows

    public Collection<Task> getSelectedRows()

  - ### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

  - ### getResponse

    public javax.servlet.http.HttpServletResponse getResponse()

  - ### getTimeZone

    public TimeZone getTimeZone()

  - ### setTimeZone

    public void setTimeZone(TimeZone timeZone)